View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Oauth 2.0 authentication.
In: header
Scope: https://uri.paypal.com/services/checkout/payment-resources
idstring<payment_resource_id>RequiredPayPal-Auth-AssertionstringOptionalapplication/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/checkout/payment-resources/string"{ "id": "string", "payment_link": "string", "links": [ { "href": "string", "rel": "string", "method": "GET" } ], "create_time": "stringstringstringst", "update_time": "stringstringstringst", "status": "ACTIVE", "integration_mode": "LINK", "type": "BUY_NOW", "reusable": "MULTIPLE", "return_url": "http://example.com", "line_items": [ { "name": "string", "product_id": "string", "description": "string", "unit_amount": { "currency_code": "str", "value": "string" }, "taxes": [ { "name": "string", "type": "PERCENTAGE", "value": "string" } ], "shipping": [ { "type": "FLAT", "value": "string" } ], "collect_shipping_address": true, "customer_notes": [ { "required": true, "label": "string" } ], "variants": { "dimensions": [ { "name": "string", "primary": true, "options": [ { "label": "string", "unit_amount": { "currency_code": "str", "value": "string" } } ] } ] }, "adjustable_quantity": { "maximum": 1 } } ], "code_snippets": { "single": { "body": "string" }, "stacked": [ { "framework": "HTML", "head": "string", "body": "string", "button_placement": "string" } ] }}